qt


Unable to build Qt 5.0 on Solaris 10


I am currently working on a cross platform project in Qt. I am currently developing on Linux (Mint x64) but need to deploy parts of the project to a Solaris 10 server.
I have been trying to build Qt5.0.1 on solaris now for about 3 days with little success!
I have downloaded the sources from here and successfully extracted the archive.
When trying to run the configure script, I first ran into syntax errors which were fixed by changing the qtbase/configure script to use /bin/bash instead of /bin/sh.
I have then run into several problems when running configure:
./configure -platform solaris-g++
Configure cannot detect architecture (not a breaking failure but...)
"No QPA platform plugin enabled!" - I have explicitly installed (using pkgutil) libxcb and xcbutil
When using the -no-qpa-platform-guard flag, configure completes, then:
I get an assortment of errors in building when I run gmake -j4
The compilation errors are:
In file included from ../3rdparty/pcre/pcre16_compile.c:43:0:
../3rdparty/pcre/pcre_compile.c: In function 'compile_branch':
../3rdparty/pcre/pcre_compile.c:5193:18: error: 'int64_t' undeclared (first use in this function)
../3rdparty/pcre/pcre_compile.c:5193:18: note: each undeclared identifier is reported only once for each function it appears in
../3rdparty/pcre/pcre_compile.c:5194:36: error: expected ')' before 'length_prevgroup'
../3rdparty/pcre/pcre_compile.c:5264:32: error: expected ')' before 'repeat_max'gcc -c -O2 -Wall -W -D_REENTRANT -fPIC -DQT_NO_LIBUDEV -DQT_NO_EVDEV -DQT_NO_XCB -DQT_NO_USING_NAMESPACE -DQT_BUILD_CORE_LIB -DQT_BUILDING_QT -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT_MOC_COMPAT -DQT_USE_QSTRINGBUILDER -DQT_DEPRECATED_WARNINGS -DQT_DISABLE_DEPRECATED_BEFORE=0x050000 -DQT_USE_ICU -DPCRE_HAVE_CONFIG_H -DHB_EXPORT=Q_CORE_EXPORT -DQT_CORE_LIB -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DQT_NO_DEBUG -I../../mkspecs/solaris-g++ -I. -I../../include -I../../include/QtCore -I../../include/QtCore/5.0.1 -I../../include/QtCore/5.0.1/QtCore -Iglobal -I../3rdparty/pcre -I../3rdparty/md5 -I../3rdparty/md4 -I.moc/release-shared -I/usr/sfw/include -o .obj/release-shared/pcre16_dfa_exec.o ../3rdparty/pcre/pcre16_dfa_exec.c
gmake[3]: *** [.obj/release-shared/pcre16_compile.o] Error 1
gmake[3]: *** Waiting for unfinished jobs....
gmake[3]: Leaving directory `/export/home/emackenzie/Downloads/qt-everywhere-opensource-src-5.0.1/qtbase/src/corelib'
gmake[2]: *** [sub-corelib-make_first] Error 2
gmake[2]: Leaving directory `/export/home/emackenzie/Downloads/qt-everywhere-opensource-src-5.0.1/qtbase/src'
gmake[1]: *** [sub-src-make_first] Error 2
gmake[1]: Leaving directory `/export/home/emackenzie/Downloads/qt-everywhere-opensource-src-5.0.1/qtbase'
gmake: *** [module-qtbase-make_first] Error 2
Any help would be greatly appreciated!
[UPDATE]
Ok, so I have solved this compile error by commenting out pcre_internal.h:217,218,219,221:
//#if HAVE_STDINT_H
//#include <stdint.h>
//#elif HAVE_INTTYPES_H
#include <inttypes.h>
//#endif
Now I am getting this error:
io/qtemporarydir.cpp: In member function 'void QTemporaryDirPrivate::create(const QString&)':
io/qtemporarydir.cpp:150:30: error: 'mkdtemp' was not declared in this scope
gmake[3]: *** [.obj/release-shared/qtemporarydir.o] Error 1
I have checked the source and stdlib.h is being included (where mkdtemp should be declared) and it is on the filesystem in /usr/include
Again any help would be great.
Figure out which header in your system declares int64_t and #include it on pcre_compile.c.

Related Links

save an array in each tabs (QTabWidget) to a 2D array outside of QTabWidget by click on a button outside of QTabWidget
Qt PushButton Signals and Slots
How to check if QSound could play a sound successfully
show onscreenkeyboard when type in QLineEdit in Qt
QListWidget resize contents when splitter changes size
Qt 4.8, Visual Studio 2013 compiling error
Best widget for a chat session in Qt
can't set custom data for a QStringListModel [duplicate]
get value of an object in another class
HTML page not loading using QWebView
QScrollArea and floating widgets
QSqlQueryModel in a QML view causes items being shown twice
How to prevent qmake from adding the console subsystem on the linker command line?
QTextEdit: scroll beyond last line
Graphic item jumps to the end of path via QGraphicsItemAnimation without moving
Strange error : “error loading plugin. The specified module could not be found”

Categories

HOME
python-2.7
gaming
openxml
yahoo-weather-api
seedstack
qc
command-prompt
plpgsql
risk-management
celery
fogbugz
implicit-conversion
port
eddystone
bootstrap-switch
spring-amqp
bundler
amazon-elb
asp.net-core-1.0
global-variables
asciimath
rpmbuild
gitkraken
tableview
dashdb
generator
quantitative-finance
memory-fences
delayed-job
riotjs
gsp
mongoengine
aurelia-cli
cartopy
android-n
linq.js
grunt-contrib-watch
newtons-method
system-on-chip
fiware-wirecloud
zend-form
django-static-precompiler
nonlinear-functions
cordova-ios
solr-query-syntax
embedded-v8
line-intersection
patternlab.io
dtd
metabase
mathml
gnucash
mathnet
textblock
gwt-syncproxy
as3-api
featuretoggle
wicked-gem
webproject
mathematical-expressions
configurable-product
dc
device-admin
smacss
quantify
two.js
csslint
rails-api
application-server
apportable
ldif
unicoins
web-frameworks
background-thread
2d-vector
user-forums
clearinterval
prototypal-inheritance
glassfish-esb
filelock
data-dump
asp.net-mvc-views
browser-based
sqlsitemapprovider
tso
icon-language
jboss-mdb

Resources

Encrypt Message



code
soft
python
ios
c
html
jquery
cloud
mobile